summaryrefslogtreecommitdiffstats
path: root/system/loksh/doinst.sh
diff options
context:
space:
mode:
author Hunter Sezen2019-02-08 14:54:44 +0100
committer Willy Sudiarto Raharjo2019-02-08 14:54:44 +0100
commit329245f397a3551f5eb2040c9f8edac62483da83 (patch)
tree0b837e9af37394c63ad453c68fc6112fa0b17cd5 /system/loksh/doinst.sh
parent06a99f4aa15c8cfec1fa88e58579d7760bd548f4 (diff)
downloadslackbuilds-329245f397a3551f5eb2040c9f8edac62483da83.tar.gz
system/loksh: Added doinst.sh.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/loksh/doinst.sh')
-rw-r--r--system/loksh/doinst.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/system/loksh/doinst.sh b/system/loksh/doinst.sh
new file mode 100644
index 0000000000..84285f3b07
--- /dev/null
+++ b/system/loksh/doinst.sh
@@ -0,0 +1,8 @@
+if [ ! -r etc/shells ]; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+
+if ! grep -q /bin/loksh etc/shells ; then
+ printf %s\\n /bin/loksh >> etc/shells
+fi